IM-CONFIG(8)

NAME
im-config - set up input method framework configuration

SYNOPSIS

im-config [OPTION]

OPTIONS

-p  List all possible input method frameworks to STDOUT even if any associated packages are not installed on the system.

-i  List all installed input method frameworks to STDOUT.

-d  List default values to STDOUT.

-r  Report configuration values to STDOUT.

-w  <input_method_name>

    Wite the IM framework <input_method_name>

-c  Use console terminal dialog -q Quiet logging

-v  Verbose logging

-t  <function_name>

    Test execute <function_name>

-h  Print this message

    This program is normally invoked without options.

    Most of the options above are for debugging and self testing.

DESCRIPTION
im-config provides the framework to configure the input method framework on X11 system (i.e., for original X Window).

TROUBLESHOOT
If you have any problem, see the output of:

    journalctl -b -t im-config

If you experience problem around keyboard input, please file a bug report to the im-config package using reportbug(1) which automatically adds above output.

You can disable im-config as:

    im-config -n none

SEE ALSO
/usr/share/doc/im-config/README.Debian

AUTHOR
This manual page was written by Osamu Aoki <osamu@debian.org>, for the Debian GNU/Linux system (but may be used by others).